/* Converting all files to FAT name rules */
/* (c) K. Gebhardt, 1997 */

'@echo off'

call RxFuncAdd "SysLoadFuncs", "RexxUtil", "SysLoadFuncs"
call SysLoadFuncs

'SETLOCAL'
'SET DELDIR='

fatsed = '..\fat.sed';

rc = stream(fatsed,'C','open read');
if (rc <> 'READY:') then
  do
    fatsed = 'fat.sed';
    rc = stream(fatsed,'C','open read');
    if (rc <> 'READY:') then
      do
	say 'error: Cannot open' fatsed || '!'
	exit;
      end
  end

do while(lines(fatsed))
  line = linein(fatsed);
  if (line <> '') then
    do
      parse var line 's/' old '/' new '/g'
      rc = SysFileTree(old || '.m', 'file', 'FO');
      if (rc <> 0) then
	do
	  rc = stream(fatsed,'C','close');
	  say 'error: Not enough memory.'
	  exit;
	end

      if (file.0 == 1) then
	do
	  old = old || '.m';
	  new = new || '.m';

	  say old '->' new
	  'ren' old new
	end
      else
	do
	  rc = SysFileTree(old, 'file', 'DO');
	  if (rc <> 0) then
	    do
	      rc = stream(fatsed,'C','close');
	      say 'error: Not enough memory.'
	      exit;
	    end

	  if (file.0 == 1) then
	    do
	      say old '->' new
	      'ren' old new
	    end
	end
    end
end

rc = stream(fatsed,'C','close');
exit;
